(function ($) {
  'use strict';
  Drupal.behaviors.elevatezoom = {
    attach: function (context, settings) {
      $('.elevatezoom').once().each(function () {
        let shadow_color = $(this).data('shadow-color');
        let window_position = parseInt($(this).data('window-position'));
        let window_width = parseInt($(this).data('window-width'));
        let window_height = parseInt($(this).data('window-height'));
        let lens_size = parseInt($(this).data('lens-size'));
        let type = $(this).data('zoom-type');
        switch(type) {
          case 'basic_zoom':
            $(this).elevateZoom({
              zoomWindowPosition: window_position,
              zoomWindowWidth: window_width,
              zoomWindowHeight: window_height
            });
            break;

          case 'tint_zoom':
            $(this).elevateZoom({
              tint: true,
              tintColour: shadow_color,
              tintOpacity: 0.5,
              zoomWindowPosition: window_position,
              zoomWindowWidth: window_width,
              zoomWindowHeight: window_height
            });
            break;

          case 'mousewheel_zoom':
            $(this).elevateZoom({
              tint: true,
              tintColour: shadow_color,
              tintOpacity: 0.5,
              zoomWindowPosition: window_position,
              zoomWindowWidth: window_width,
              zoomWindowHeight: window_height,
              scrollZoom: true
            });
            break;

          case 'lens_zoom':
            $(this).elevateZoom({
              zoomType: 'lens',
              lensShape: 'round',
              lensSize: lens_size
            });
            break;

          // Galerry
          case 'mousewheel_zoom_gallery':
            $(this).elevateZoom({
              gallery: 'elevate_zoom--mousewheel_zoom_gallery_list',
              cursor: 'pointer',
              galleryActiveClass: 'active',
              imageCrossfade: true,
              tint: true,
              tintColour: shadow_color,
              tintOpacity: 0.5,
              scrollZoom: true,
              zoomWindowPosition: window_position,
              zoomWindowWidth: window_width,
              zoomWindowHeight: window_height
            });
            break;

          case 'basic_zoom_gallery':
            $(this).elevateZoom({
              gallery: 'elevate_zoom--basic_zoom_gallery_list',
              cursor: 'pointer',
              galleryActiveClass: 'active',
              imageCrossfade: true,
              zoomWindowPosition: window_position,
              zoomWindowWidth: window_width,
              zoomWindowHeight: window_height
            });
            break;

          case 'tint_zoom_gallery':
            $(this).elevateZoom({
              gallery: 'elevate_zoom--tint_zoom_gallery_list',
              cursor: 'pointer',
              galleryActiveClass: 'active',
              tint: true,
              tintColour: shadow_color,
              tintOpacity: 0.5,
              zoomWindowPosition: window_position,
              zoomWindowWidth: window_width,
              zoomWindowHeight: window_height
            });
            break;

          case 'inner_zoom_gallery':
            $(this).elevateZoom({
              gallery: 'elevate_zoom--inner_zoom_gallery_list',
              galleryActiveClass: 'active',
              zoomType: 'inner',
              cursor: 'crosshair'
            });
            break;

          case 'lens_zoom_gallery':
            $(this).elevateZoom({
              gallery: 'elevate_zoom--lens_zoom_gallery_list',
              cursor: 'pointer',
              galleryActiveClass: 'active',
              zoomType: 'lens',
              lensShape: 'round',
              lensSize: lens_size
            });
            break;

          default:
            $(this).elevateZoom({
              zoomType: 'inner',
              cursor: 'crosshair'
            });
        }
        $('a img.img-thumbnail').on("click", function () {
          let caption = $(this).attr('title');
          let alt = $(this).attr('alt');
          let main = $(this).closest('.gallery-list').parent().find('.main-zoom');
          main.find('img').attr('alt',alt).attr('title',caption);
          main.find('figcaption').html(caption);
        });
      });
    }
  };

})(jQuery);
